Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.math.random
Class EmpiricalDistributionImpl.StreamDataAdapter

    java.lang.Object
      org.apache.commons.math.random.EmpiricalDistributionImpl.DataAdapter
          org.apache.commons.math.random.EmpiricalDistributionImpl.StreamDataAdapter

Enclosing class:
  EmpiricalDistributionImpl

    private class EmpiricalDistributionImpl.StreamDataAdapter

extends EmpiricalDistributionImpl.DataAdapter

`DataAdapter` for data provided through some input stream

Field Summary
`private BufferedReader` | `inputStream` Input stream providing access to the data

Constructor Summary
`EmpiricalDistributionImpl.StreamDataAdapter(BufferedReader in)` Create a StreamDataAdapter from a BufferedReader

Method Summary
`void` | `computeBinStats()` Compute bin stats.
`void` | `computeStats()` Compute sample statistics.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### inputStream

    private BufferedReader inputStream

  Input stream providing access to the data

Constructor Detail

### EmpiricalDistributionImpl.StreamDataAdapter

    public EmpiricalDistributionImpl.StreamDataAdapter(BufferedReader in)

  Create a StreamDataAdapter from a BufferedReader

  Parameters:
    `in` - BufferedReader input stream

Method Detail

### computeBinStats

    public void computeBinStats()
                         throws IOException

  Compute bin stats.

  Specified by:
    `computeBinStats` in class `EmpiricalDistributionImpl.DataAdapter`
  Throws:
    `IOException` - if an error occurs computing bin stats

### computeStats

    public void computeStats()
                      throws IOException

  Compute sample statistics.

  Specified by:
    `computeStats` in class `EmpiricalDistributionImpl.DataAdapter`
  Throws:
    `IOException` - if an error occurs computing sample stats

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2003-2013 Apache Software Foundation